Page MenuHomePhabricator

Add CI namespace in staging k8s cluster
Closed, ResolvedPublic

Description

This will allow the pipeline to end its reliance on Minikube by targeting this namespace in the staging k8s cluster.

Context: followup to the 2018-06-07 Pipeline meeting.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 4:48 PM
Joe claimed this task.Jun 18 2018, 8:45 AM
Joe triaged this task as Medium priority.

Change 440837 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] role::ci::master: add kubeconfig to access the ci namespace

https://gerrit.wikimedia.org/r/440837

Change 440837 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::ci::master: add kubeconfig to access the ci namespace

https://gerrit.wikimedia.org/r/440837

Mentioned in SAL (#wikimedia-operations) [2018-06-18T10:04:11Z] <_joe_> initialize namespace "ci" on the kubernetes staging cluster T196654

Joe added a comment.Jun 18 2018, 10:20 AM

I created a namespace called ci that you can deploy to using helm as long as you use the kubeconfig /etc/kubernetes/ci-staging.config, which is readable by contint-admins and the user jenkins-slave, so that the pipeline should be able to deploy using helm to that namespace.

Let me know if we need to change the ACLs to that file.

Joe closed this task as Resolved.Jun 18 2018, 10:20 AM
Vvjjkkii renamed this task from Add CI namespace in staging k8s cluster to pgbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Joe as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from pgbaaaaaaa to Add CI namespace in staging k8s cluster.Jul 2 2018, 12:45 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Joe.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.